Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2337013006: Update revision for PNaCl (Closed)

Created:
3 years ago by Jim Stichnoth
Modified:
3 years ago
CC:
native-client-reviews_googlegroups.com
Target Ref:
refs/heads/master
Project:
nacl
Visibility:
Public.

Description

Update revision for PNaCl Update 25a7ef81d2dc76b58450fa2d5f97070eafa20164 -> f7d719122cd7c2fe3ebc52e7c0b011c583bf3e9c Pull the following PNaCl changes into NaCl: 5b10ead: (stichnot@chromium.org) PNaCl: Update subzero revision in pnacl/COMPONENT_REVISIONS | cbd3dbc: (tlively@google.com) Subzero: Implemented codegen for poisoning and unpoisoning stack redzones | e8392d8: (tlively@google.com) Subzero: Added ASan quarantine for recently freed objects | 9b38497: (tlively@google.com) Subzero: Elide redundant access checks within basic blocks | 135fbe5: (mohit.bhakkad@imgtec.com) SubZero: Add return registers for float/double types in lowerCall | 9a313a8: (tlively@google.com) Subzero: Replace global pointers to allocation functions | 48a568d: (tlively@google.com) Subzero: Replace pointers to allocation functions in loads | efdf412: (stichnot@chromium.org) Subzero: Fix build errors with LLVM trunk. | 6b0ee2a: (stichnot@chromium.org) Subzero: Include commit count in revision string. | 75f5229: (tlively@google.com) Subzero: Replace pointers to allocation functions in stores | c1d6fd5: (tlively@google.com) Subzero: Added address of bad instruction to error output | b1a0fb1: (jaydeep.patil@imgtec.com) [SubZero]Added InstMIPS32Load to differentiate stores from loads | 8b32241: (jaydeep.patil@imgtec.com) Provide repointEdges for MIPS. | 519fe04: (tlively@google.com) Subzero: Updated documentation to describe building spec2k benchmarks | 13f0ca3: (jaydeep.patil@imgtec.com) Delete unconditional branch to the next node. | 135f5db: (jaydeep.patil@imgtec.com) [SubZero] Generate ELF output for MIPS | 8b21cc5: (stichnot@chromium.org) Subzero: Fix the LLVM trunk build. | 29823f1: (jaydeep.patil@imgtec.com) [SubZero] Implement lowerSwitch for MIPS | 7c9728f: (stichnot@chromium.org) Subzero: Fix a build error against LLVM trunk. | 53dae72: (stichnot@chromium.org) Subzero: Deterministically sort local var stack offsets. | d5e7caf: (capn@google.com) Implement ICE_CACHELINE_BOUNDARY for Visual Studio. | cc8bc16: (stichnot@chromium.org) Subzero: Add the MIPS=1 makefile option for alternate testing mode. | e698313: (nicolascapens@google.com) Merge "Implement ICE_CACHELINE_BOUNDARY for Visual Studio." | a0b720d: (capn@google.com) Simplify ClFlags macro for older C++ standards. | 1d0690b: (jaydeep.patil@imgtec.com) [SubZero] Implement load and store for MIPS | c0f1b6f: (capn@google.com) Allow using SZTARGET without PNACL_LLVM. | 3db8f7a: (capn@google.com) Fix type alias compilation issue on Windows. | 17f04f0: (capn@google.com) Work around Visual Studio static constexpr bug. | dbd600d: (capn@google.com) Enable disabling API-based TLS support. | d739614: (capn@google.com) Fix Visual Studio compilation of types within template classes. | ef9d004: (capn@google.com) Fix unresolved template method definition. | 4d70802: (capn@google.com) Add missing header includes. | 0e137b2: (capn@google.com) Work around Visual Studio template specialization issue. | 86e5d88: (capn@google.com) Ensure NoDefinitions gets initialized only at first use. | a9a92a5: (capn@google.com) Fix initializing the allocator before creating empty vector. | 5d5b662: (stichnot@chromium.org) Subzero: Fix a build error. Also reformat. | 84ea9a7: (stichnot@chromium.org) Subzero: Fix target attribute when SZTARGET is defined. | b85cde1: (srdjan.obucina@imgtec.com) Subzero, MIPS32: Introduction of genTargetHelperCallFor | 53d0568: (Srdjan.Obucina@imgtec.com) Subzero, MIPS32: Intrinsic calls for ABS.fmt and SQRT.fmt | 5a9f714: (Srdjan.Obucina@imgtec.com) Subzero, MIPS32: Handling fptrunc and fpext casting | 74bfa87: (stichnot@chromium.org) Subzero: x8664: Fix a "uitofp i32 to double" lowering error. | f315f0d: (Srdjan.Obucina@imgtec.com) Subzero, MIPS32: Floating point comparison | 47ef0be: (jaydeep.patil@imgtec.com) [SubZero] Implement address optimization for MIPS b6c1741: (stichnot@chromium.org) PNaCl: Update subzero revision in pnacl/COMPONENT_REVISIONS | 038a9b9: (capn@google.com) Remove instructions instead of attempting to delete them. | d329766: (jaydeep.patil@imgtec.com) [SubZero] Implement GP to/from FP moves for MIPS | bcf2a51: (stichnot@chromium.org) Subzero: Fix ODR errors in the g++ build. f7d7191: (stichnot@chromium.org) PNaCl: Update subzero revision in pnacl/COMPONENT_REVISIONS | d57ed5f: (Srdjan.Obucina@imgtec.com) Subzero, MIPS32: lowerSelect for i1, i8, i16, i32, f32, f64 | ccbb6d1: (sagar.thakur@imgtec.com) [Subzero][MIPS] Fix test nacl-other-intrinsics.ll | ca7a367: (stichnot@chromium.org) Subzero: Fix SUBZERO_REVISION in production builds. BUG= https://bugs.chromium.org/p/nativeclient/issues/detail?id=4379 BUG= none BUG=swiftshader:8 R=dschuff@chromium.org, jpp@chromium.org, stichnot@chromium.org TEST=git cl try (Please LGTM this change and tick the "commit" box) Committed: https://chromium.googlesource.com/native_client/src/native_client/+/fe5bd51f9b79d27b2a3884181d4004cfccf70759

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+288 lines, -288 lines) Patch
M toolchain_revisions/pnacl_newlib.json View 18 chunks +137 lines, -137 lines 0 comments Download
M toolchain_revisions/pnacl_newlib_raw.json View 18 chunks +137 lines, -137 lines 0 comments Download
M toolchain_revisions/pnacl_translator.json View 4 chunks +14 lines, -14 lines 0 comments Download

Messages

Total messages: 10 (3 generated)
Jim Stichnoth
3 years ago (2016-09-14 21:50:53 UTC) #1
Derek Schuff
lgtm
3 years ago (2016-09-15 14:40:40 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2337013006/1
3 years ago (2016-09-15 14:40:45 UTC) #4
commit-bot: I haz the power
Try jobs failed on following builders: nacl-win32_newlib_opt on master.tryserver.nacl (JOB_FAILED, http://build.chromium.org/p/tryserver.nacl/builders/nacl-win32_newlib_opt/builds/11762) nacl-win64_newlib_dbg on master.tryserver.nacl (JOB_FAILED, ...
3 years ago (2016-09-15 14:42:53 UTC) #6
Jim Stichnoth
On 2016/09/15 14:40:40, Derek Schuff wrote: > lgtm The Windows bots are all borked, like ...
3 years ago (2016-09-15 14:50:33 UTC) #7
Jim Stichnoth
On 2016/09/15 14:50:33, stichnot wrote: > On 2016/09/15 14:40:40, Derek Schuff wrote: > > lgtm ...
3 years ago (2016-09-15 16:08:41 UTC) #8
Jim Stichnoth
3 years ago (2016-09-15 16:10:00 UTC) #10
Message was sent while issue was closed.
Committed patchset #1 (id:1) manually as
fe5bd51f9b79d27b2a3884181d4004cfccf70759 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698